Security Enhanced Linux Reference Policy

# Layer: services

## Module: prelude

Interfaces

### Description:

Prelude hybrid intrusion detection system

### Interfaces:

prelude_admin( domain , role )

##### Summary

All of the rules required to administrate an prelude environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

prelude_domtrans( domain )

##### Summary

Execute a domain transition to run prelude.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

prelude_domtrans_audisp( domain )

##### Summary

Execute a domain transition to run prelude_audisp.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

prelude_manage_spool( domain )

##### Summary

Manage to prelude-manager spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

prelude_read_spool( domain )

##### Summary

Read the prelude spool files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

prelude_signal_audisp( domain )

##### Summary

Signal the prelude_audisp domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed acccess.

Return